#!perl -w
#
# BlockSpecialFile -- descriptor for single block special file found in /dev
#   Copyright (C) 2005  Erik van Konijnenburg
#
#   This program is free software; you can redistribute it and/or modify
#   it under the terms of the GNU General Public License as published by
#   the Free Software Foundation; either version 2 of the License, or
#   (at your option) any later version.
#
#   This program is distributed in the hope that it will be useful,
#   but WITHOUT ANY WARRANTY; without even the implied warranty of
#   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#   GNU General Public License for more details.
#
#   You should have received a copy of the GNU General Public License
#   along with this program; if not, write to the Free Software
#   Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
#
# this can be a whole device or a partition.  Descriptors contain:
# - path, path as found in /dev
# - devno, eg 8:1
#
use strict;
use warnings;
package BlockSpecialFile;
use base 'Obj';

sub fill {
	my $self = shift;
	$self->SUPER::fill();
	$self->takeArgs ('path', 'devno');
}

sub devno	{ return $_[0]->{devno}; }
sub path	{ return $_[0]->{path}; }

sub string {
	my $self = shift;
	my $path = $self->path;
	my $devno = $self->devno;
	return "$path($devno)";
}

1;
